use crate::renderer::parameters_context::ParametersContext;

#[derive(Debug)]
pub struct SelectContext<'a> {
    pub select_parameters: &'a ParametersContext<'a>,
    pub were_any_true: bool,
    pub allowed_to_render_any_more_conditionals: bool,
}

impl<'a> SelectContext<'a> {
    pub fn new(select_parameters: &'a ParametersContext<'a>, were_any_true: bool) -> Self {
        SelectContext {
            select_parameters: select_parameters,
            were_any_true: were_any_true,
            allowed_to_render_any_more_conditionals: true,
        }
    }
}
